Name:		elisa
Version:	0.1.1
Release:	%mkrel 1
Summary:	A powerful Music Player for Plasma 5
Group:		Graphical desktop/KDE5
License:	LGPLv3+
Url:		https://community.kde.org/Elisa
Source0:	https://download.kde.org/stable/elisa/%{version}/%{name}-%{version}.tar.xz
BuildRequires: libbaloo5-devel
BuildRequires: libkconfig-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkf5configwidgets-devel
BuildRequires: libkf5crash-devel
BuildRequires: libkf5dbusaddons-devel
BuildRequires: libkf5declarative-devel
BuildRequires: libkf5filemetadata-devel
BuildRequires: libkf5i18n-devel
BuildRequires: libkf5kcmutils-devel
BuildRequires: libkf5service-devel
BuildRequires: libkf5widgetsaddons-devel
BuildRequires: libkf5xmlgui-devel
BuildRequires: libqt5concurrent-devel
BuildRequires: libqt5core-devel
BuildRequires: libqt5dbus-devel
BuildRequires: libqt5gui-devel
BuildRequires: libqt5multimedia-devel
BuildRequires: libqt5network-devel
BuildRequires: libqt5qml-devel
BuildRequires: libqt5sql-devel
BuildRequires: libqt5widgets-devel
Requires:	qtquickcontrols25

%description
Elisa is a simple music player aiming to provide a nice experience
for its users. Elisa allows to browse music by album, artist or
all tracks. The music is indexed using either a private indexer or
an indexer using Baloo. The private one can be configured to scan
music on chosen paths. The Baloo one is much faster because Baloo
is providing all needed data from its own database. You can build
and play your own playlist.

%files -f %{name}.lang
%{_kf5_bindir}/%{name}
%{_qt5_plugindir}/kcms/kcm_%{name}_local_file.so
%{_kf5_datadir}/kpackage/kcms/kcm_%{name}_local_file/
%{_kf5_services}/kcm_%{name}_local_file.desktop
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_datadir}/metainfo/org.kde.elisa.appdata.xml
#--------------------------------------------------------------------

%package	handbook
Summary:	Elisa Handbook
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}

%description	handbook
This package provides Elisa handbook.

%files handbook
%{_kf5_docdir}/HTML/*/%{name}/

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5 -Wno-dev

%make_build

%install
rm -rf %buildroot
%make_install -C build

%find_lang %{name} --all-name


%changelog
* Sun Dec 08 2018 adrianomorselli <adrianomorselli> 0.1-1uplos2018
- imported for uplos
